Update organization SBOM report defaults

puthttps://app.fossa.com/api/organizations/{id}/sbomReportDefaults

Updates organization-level defaults used for SBOM report author metadata. These values are used as fallback metadata when SBOM report requests omit `authorName`, `authorEmail`, or `supplier` query parameters. Requires a premium subscription.

Path parameters

idintegerrequired

The organization ID.

Request body · application/json

sbomReportAuthorNamestring
sbomReportAuthorEmailstring
sbomReportSupplierstring

Responses

200OK
sbomReportAuthorNamestringrequired
sbomReportAuthorEmailstringrequired
sbomReportSupplierstringrequired
400Bad Request
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

401Unauthorized
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

403Forbidden — the user lacks the required permission, or the organization does not have a premium subscription.
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

404NotFound
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

500Server Error
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

PUT https://app.fossa.com/api/organizations/1234/sbomReportDefaults
curl --request PUT \  --url 'https://app.fossa.com/api/organizations/1234/sbomReportDefaults' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN' \  --header 'content-type: application/json' \  --data '{  "sbomReportAuthorName": "SBOM Team",  "sbomReportAuthorEmail": "sbom@example.com",  "sbomReportSupplier": "FOSSA"}'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.

Path params

idintegerrequired

The organization ID.

application/json